stages:
  - lint
  - build

lint:
  stage: lint
  script: |
    yarn install
    yarn lint
  only:
  - pushes
  - merge_requests
  - web

tsc:
  stage: build
  script: |
    yarn install
    tsc -p tsconfig.json -noEmit
  only:
  - pushes
  - merge_requests
  - web